#include "test8.h"
#include <iostream>
#include <cstring>
#include <chrono>
#include <thread>

int main() {
    // 初始化AD硬件服务化
    test8_init(0, "test8_Service");

    // 测试数据: 0x55, 0xAA, 0x55, 0xAA
    uint8_t test8_data[] = {0x70, 0x71, 0x72, 0x73, 0x74, 0x75, 0x76, 0x77, 0x78, 0x79};
    uint16_t data_len = sizeof(test8_data);
    
    std::string dest = "test_Service";
    
    while (true) {   
        std::this_thread::sleep_for(std::chrono::seconds(3));
    }
    
    return 0;
}
